import logging
from tornado.ioloop import IOLoop
from tornado.web import Application
from terminado import TermSocket, SingleTermManager

from config import TERMINADO_PORT, TERMINADO_WD


class CORSTermSocket(TermSocket):
    def check_origin(self, origin):
        return True

if __name__ == '__main__':
    application = Application(
        [(
            r'/terminal',
            CORSTermSocket,
            {'term_manager': SingleTermManager(shell_command=['bash'],
                                               term_settings={'cwd': TERMINADO_WD})}
        )]
    )
    application.listen(TERMINADO_PORT)
    logging.getLogger().setLevel(logging.DEBUG)
    logging.info('Terminado Mini Server listening on {}'.format(TERMINADO_PORT))
    IOLoop.instance().start()